javax.swing.plaf.basic

## Class BasicTreeUI.TreeCancelEditingAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - javax.swing.plaf.basic.BasicTreeUI.TreeCancelEditingAction

- All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action
  Enclosing class:
    BasicTreeUI

      public class BasicTreeUI.TreeCancelEditingAction
      extends AbstractAction

  ActionListener that invokes cancelEditing when action performed.

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TreeCancelEditingAction(String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `actionPerformed(ActionEvent e)` | Invoked when an action occurs.
    `boolean` | `isEnabled()` | Returns true if the action is enabled.

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeCancelEditingAction

          public TreeCancelEditingAction(String name)

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(ActionEvent e)

      Description copied from interface: `ActionListener`
      Invoked when an action occurs.

    - #### isEnabled

          public boolean isEnabled()

      Description copied from class: `AbstractAction`
      Returns true if the action is enabled.
      Specified by:
        `isEnabled` in interface `Action`
      Overrides:
        `isEnabled` in class `AbstractAction`
      Returns:
        true if the action is enabled, false otherwise
      See Also:
        `Action.isEnabled()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.